Update data source group

POST /source/group/update


Description

The method updates the parameters of an existing data source group. JWT token is required in the header for access.


Request format

  • HTTP method: POST
  • URL: /source/group/update
  • Content Type: application/json
  • Authorization: required

Query Parameters

ParameterTypePassed InRequiredDescription
tokenstringHeaderUser’s JWT token

Request Body (JSON)

FieldTypeRequiredDescription
tokenstringUser’s JWT token
group_idstringGroup identifier
namestringNew group name
person_list_searchobject[]List of search settings for people in the group

Example Request (cURL)

curl -X POST "https://api.neuro-vision.ru/v1/source/group/update" 
  -H "Content-Type: application/json" 
  -H "Authorization: Bearer jwt.temporary.token" 
  -d '{
    "token": "jwt.temporary.token",
    "group_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "name": "Updated Group Name",
    "person_list_search": [
      {
        "id": "d995ca10-8292-11ea-ae65-3048e12b1113",
        "on_failed": "",
        "on_found": ""
      }
    ]
  }'

Example Answers

Success (200 OK)
{
  "code": 0,
  "message": "source group updated",
  "status": "ok"
}
Error (400 Bad Request)
{
  "message": "invalid schema",
  "status": "error"
}